ON delete host, delete also unmanaged certificates from puppet CA
Status: New   

Priority: Normal   

Assignee:    

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1347242 Red Hat JIRA:  

Pull request:    

Description

It would be nice if we could have a checkbox on delete hosts to also delete certificates from puppet ca. Without this any removed

host will be autmatically registered in foreman at the first puppet run.

Related issues:

Related to Foreman - Bug #13911: puppet cert is not revoked when host is dele... New 02/25/2016

History

#1 - 11/05/2014 02:35 AM - Dominic Cleal

- Subject changed from ON delete host, delete also certificates from puppet caa to ON delete host, delete also unmanaged certificates from puppet CA

- Category set to PuppetCA

Just to note, if Foreman is handling provisioning and setting up autosign in the first place, it will remove the cert.  This is probably only when Foreman

isn't managing that process.

#2 - 11/05/2014 04:59 AM - cristian falcas

Yes, it's for machines that are manually registered in foreman.

#3 - 02/26/2016 04:06 AM - Dominic Cleal

- Related to Bug #13911: puppet cert is not revoked when host is deleted if ':unattended: false' is set added

#4 - 06/17/2016 11:05 AM - Bryan Kearney

- Bugzilla link set to 1347242

#5 - 06/20/2016 08:00 AM - Lukas Zapletal

Indeed that would be useful, I sometimes do a "cleanup" on my testing host:

puppet cert list --all | grep -v $(hostname) | grep -o '".*"' | xargs puppet cert clean

 Admitting that this is not useful for production, leaving it here for the record.
